diff mbox

tests: Basic tools tester

Message ID 1373561986-13492-1-git-send-email-ben@bwidawsk.net (mailing list archive)
State New, archived
Headers show

Commit Message

Ben Widawsky July 11, 2013, 4:59 p.m. UTC
Requested-by: Daniel Vetter <daniel.vetter@ffwll.ch>
Signed-off-by: Ben Widawsky <ben@bwidawsk.net>
---
 tests/Makefile.am |  1 +
 tests/drm_lib.sh  |  4 ++++
 tests/tools_test  | 20 ++++++++++++++++++++
 3 files changed, 25 insertions(+)
 create mode 100755 tests/tools_test

Comments

Daniel Vetter July 11, 2013, 6:01 p.m. UTC | #1
On Thu, Jul 11, 2013 at 09:59:46AM -0700, Ben Widawsky wrote:
> Requested-by: Daniel Vetter <daniel.vetter@ffwll.ch>
> Signed-off-by: Ben Widawsky <ben@bwidawsk.net>
> ---
>  tests/Makefile.am |  1 +
>  tests/drm_lib.sh  |  4 ++++
>  tests/tools_test  | 20 ++++++++++++++++++++
>  3 files changed, 25 insertions(+)
>  create mode 100755 tests/tools_test
> 
> diff --git a/tests/Makefile.am b/tests/Makefile.am
> index a422899..ccc97b8 100644
> --- a/tests/Makefile.am
> +++ b/tests/Makefile.am
> @@ -115,6 +115,7 @@ TESTS_scripts_M = \
>  
>  TESTS_scripts = \
>  	test_rte_check \
> +	tools_test \
>  	debugfs_reader \
>  	debugfs_emon_crash \
>  	sysfs_l3_parity \
> diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
> index 5ca815b..5975b58 100755
> --- a/tests/drm_lib.sh
> +++ b/tests/drm_lib.sh
> @@ -4,6 +4,10 @@ die() {
>  	exit 1
>  }
>  
> +do_or_die() {
> +	$@ > /dev/null 2>&1 || (echo "FAIL: $@ ($?)" && exit -1)
> +}
> +
>  if [ -d /debug/dri ] ; then
>  	debugfs_path=/debug/dri
>  fi
> diff --git a/tests/tools_test b/tests/tools_test
> new file mode 100755
> index 0000000..bca726c
> --- /dev/null
> +++ b/tests/tools_test
> @@ -0,0 +1,20 @@
> +#!/bin/bash
> +# Test some of the most critical tools we have accidentally broken before.
> +# TODO: Possibly make tests parse output
> +
> +whoami | grep -q root || ( echo ERROR: not running as root; exit 1 )
> +
> +SOURCE_DIR="$( dirname "${BASH_SOURCE[0]}" )"
> +. $SOURCE_DIR/drm_lib.sh
> +
> +# ARB_MODE has existed for many gens
> +do_or_die "$SOURCE_DIR/../tools/intel_reg_read 0x4030"
> +# ARB_MODE should have mask bits, so it should be safe to write
> +do_or_die "$SOURCE_DIR/../tools/intel_reg_write 0x4030 0"

As discussed on irc there doesn't seem to be a safe register & value to
test intel_reg_write accross all platforms. I'd vote to just remove it, we
can solve that little issue once it breaks for real.

Otherwise lgtm, thanks for doing this, pls push.
-Daniel

> +
> +do_or_die "$SOURCE_DIR/../tools/intel_reg_dumper"
> +
> +# TODO: Add more tests
> +
> +exit 0
> +
> -- 
> 1.8.3.2
> 
> _______________________________________________
> Intel-gfx mailing list
> Intel-gfx@lists.freedesktop.org
> http://lists.freedesktop.org/mailman/listinfo/intel-gfx
diff mbox

Patch

diff --git a/tests/Makefile.am b/tests/Makefile.am
index a422899..ccc97b8 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -115,6 +115,7 @@  TESTS_scripts_M = \
 
 TESTS_scripts = \
 	test_rte_check \
+	tools_test \
 	debugfs_reader \
 	debugfs_emon_crash \
 	sysfs_l3_parity \
diff --git a/tests/drm_lib.sh b/tests/drm_lib.sh
index 5ca815b..5975b58 100755
--- a/tests/drm_lib.sh
+++ b/tests/drm_lib.sh
@@ -4,6 +4,10 @@  die() {
 	exit 1
 }
 
+do_or_die() {
+	$@ > /dev/null 2>&1 || (echo "FAIL: $@ ($?)" && exit -1)
+}
+
 if [ -d /debug/dri ] ; then
 	debugfs_path=/debug/dri
 fi
diff --git a/tests/tools_test b/tests/tools_test
new file mode 100755
index 0000000..bca726c
--- /dev/null
+++ b/tests/tools_test
@@ -0,0 +1,20 @@ 
+#!/bin/bash
+# Test some of the most critical tools we have accidentally broken before.
+# TODO: Possibly make tests parse output
+
+whoami | grep -q root || ( echo ERROR: not running as root; exit 1 )
+
+SOURCE_DIR="$( dirname "${BASH_SOURCE[0]}" )"
+. $SOURCE_DIR/drm_lib.sh
+
+# ARB_MODE has existed for many gens
+do_or_die "$SOURCE_DIR/../tools/intel_reg_read 0x4030"
+# ARB_MODE should have mask bits, so it should be safe to write
+do_or_die "$SOURCE_DIR/../tools/intel_reg_write 0x4030 0"
+
+do_or_die "$SOURCE_DIR/../tools/intel_reg_dumper"
+
+# TODO: Add more tests
+
+exit 0
+